MyGUI 3.2.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions
MyGUI::delegates::CMultiDelegate0 Class Reference

`#include <MyGUI_Delegate.h>`

## Public Types
typedef IDelegate0 | IDelegate
typedef std::list< IDelegate * > | ListDelegate
typedef ListDelegate::iterator | ListDelegateIterator
typedef ListDelegate::const_iterator | ConstListDelegateIterator

## Public Member Functions
| CMultiDelegate0 ()
| ~CMultiDelegate0 ()
bool | empty () const
void | clear ()
void | clear (IDelegateUnlink *_unlink)
CMultiDelegate0 & | operator+= (IDelegate *_delegate)
CMultiDelegate0 & | operator-= (IDelegate *_delegate)
void | operator() ()
| CMultiDelegate0 (const CMultiDelegate0 &_event)
CMultiDelegate0 & | operator= (const CMultiDelegate0 &_event)
CMultiDelegate0 & | operator= (IDelegate *_delegate)

## Detailed Description

Definition at line 203 of file MyGUI_Delegate.h.

## Member Typedef Documentation

typedef ListDelegate::const_iterator MyGUI::delegates::CMultiDelegate0::ConstListDelegateIterator

Definition at line 209 of file MyGUI_Delegate.h.

typedef IDelegate0 MyGUI::delegates::CMultiDelegate0::IDelegate

Definition at line 206 of file MyGUI_Delegate.h.

typedef std::list<IDelegate* > MyGUI::delegates::CMultiDelegate0::ListDelegate

Definition at line 207 of file MyGUI_Delegate.h.

typedef ListDelegate::iterator MyGUI::delegates::CMultiDelegate0::ListDelegateIterator

Definition at line 208 of file MyGUI_Delegate.h.

## Constructor & Destructor Documentation

MyGUI::delegates::CMultiDelegate0::CMultiDelegate0 | ( |  | ) |
| inline

Definition at line 211 of file MyGUI_Delegate.h.

MyGUI::delegates::CMultiDelegate0::~CMultiDelegate0 | ( |  | ) |
| inline

Definition at line 212 of file MyGUI_Delegate.h.

MyGUI::delegates::CMultiDelegate0::CMultiDelegate0 | ( | const CMultiDelegate0 & | _event | ) |
| inline

Definition at line 296 of file MyGUI_Delegate.h.

## Member Function Documentation

void MyGUI::delegates::CMultiDelegate0::clear | ( |  | ) |
| inline

Definition at line 226 of file MyGUI_Delegate.h.

void MyGUI::delegates::CMultiDelegate0::clear | ( | IDelegateUnlink * | _unlink | ) |
| inline

Definition at line 238 of file MyGUI_Delegate.h.

bool MyGUI::delegates::CMultiDelegate0::empty | ( |  | ) | const
| inline

Definition at line 217 of file MyGUI_Delegate.h.

void MyGUI::delegates::CMultiDelegate0::operator() | ( |  | ) |
| inline

Definition at line 279 of file MyGUI_Delegate.h.

CMultiDelegate0& MyGUI::delegates::CMultiDelegate0::operator+= | ( | IDelegate * | _delegate | ) |
| inline

Definition at line 250 of file MyGUI_Delegate.h.

CMultiDelegate0& MyGUI::delegates::CMultiDelegate0::operator-= | ( | IDelegate * | _delegate | ) |
| inline

Definition at line 263 of file MyGUI_Delegate.h.

CMultiDelegate0& MyGUI::delegates::CMultiDelegate0::operator= | ( | const CMultiDelegate0 & | _event | ) |
| inline

Definition at line 307 of file MyGUI_Delegate.h.

CMultiDelegate0& MyGUI::delegates::CMultiDelegate0::operator= | ( | IDelegate * | _delegate | ) |
| inline

Deprecated:
  "use : operator += "

Definition at line 321 of file MyGUI_Delegate.h.

The documentation for this class was generated from the following file:

- MyGUI_Delegate.h